<script type="text/javascript">
$(document).ready(function()
{
	var errors = 0;
	var invalidemail = 0;
	
	$('.blankform').live('submit',function()
	{
		$(this).find('.required').each(function()
		{
			if($(this).val() == "")
			{
				$(this).css('border','2px solid red');
				errors++;
			}
			else
			{
				$(this).css('border','2px solid green');
			}
		});
		
		var emailReg = /^([\w-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([\w-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(\]?)$/;
		var emailaddressVal = $('#email').val();
			
		if(!emailReg.test(emailaddressVal))
		{
			$('#email').css('border','2px solid red');
			invalidemail++;
		}
		
		
		if(errors > 0)
		{
			alert("Please fill in ALL required fields!");
			errors = 0;
			return(false);
		}
		
		if(invalidemail > 0)
		{
			alert("Please enter a valid email address!");
			invalidemail = 0;
			return(false);
		}
		
	});
	
	$('.blankform2').live('submit',function()
	{
		$(this).find('.required').each(function()
		{
			if($(this).val() == "")
			{
				$(this).css('border','2px solid red');
				errors++;
			}
			else
			{
				$(this).css('border','2px solid green');
			}
		});
		
		if(errors > 0)
		{
			alert("Please fill in ALL required fields!");
			
			$("#bundle-error").css('color', '#BD3E37')
			$("#bundle-error").css('background-color', '#FFA993')
			$("#bundle-error").css('border-color', '#E9CEC6')
			$("#bundle-error").html('The boxes below can not be empty!')

			$("#coupon-error").css('color', '#BD3E37')
			$("#coupon-error").css('background-color', '#FFA993')
			$("#coupon-error").css('border-color', '#E9CEC6')
			$("#coupon-error").html('You did not select a CSV file to upload!')
			
			errors = 0;
			return(false);
		}
		
	});
	
		
    $('.couponform').submit(function()
	{
		var coupon_required = $('.coupon_required').val();
		var presshome = $('.presshome').val();
		var ajbid = $('.ajbid').val();
		
        if (coupon_required == "")
		{
            $('.coupon_required').css('border','2px solid red');
			alert("You did not enter a coupon code!");
            return(false);
        }
		
		if (window.XMLHttpRequest)
		{// code for IE7+, Firefox, Chrome, Opera, Safari
			xmlhttp=new XMLHttpRequest();
		}
		else
		{// code for IE6, IE5
		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
		}
		
		xmlhttp.open("GET",presshome + "/wp-content/plugins/wp-iscbp/js/check.php?coupon=" + coupon_required + "&ajbid=" + ajbid + "&t=" + Math.random(),false);
		xmlhttp.send();
		
		/*
			0 = Coupon is okay!
			1 = Coupon has been redeemed
			2 = Coupon does not exist!
		*/
		
		if (xmlhttp.readyState==4 && xmlhttp.status==200)
		{
			if (xmlhttp.responseText > 0 && xmlhttp.responseText < 2)
			{
				alert("This coupon has already been redeemed!");
				return(false);
			}
			else
			{
				if(xmlhttp.responseText == 2)
				{
					alert("This coupon code is invalid for this item!");
					return(false);
				}
				else
				{
					return(true);
				}
			}
		}
		else
		{//if check.php not found or it returns an error
			alert("Error on site! Please contact the administrator!");
			return(false);
		}
		
    });
	
    $('.confirm_prod').submit(function()
	{
		var retVal = confirm("Do you want to continue?\nThis will remove this product from all assocciated bundles!");
		if( retVal == true )
		{
			return true;
		}
		else
		{
			return false;
		}
	});
	
    $('.confirm_bun').submit(function()
	{
		var retVal = confirm("Do you want to continue?\nDeleting this bundle will also delete all associated coupons!");
		if( retVal == true )
		{
			return true;
		}
		else
		{
			return false;
		}
	});	

})
</script>