<?php
/*
Plugin Name: WP-ISCBP - Wordpress Infusionsoft Coupon Bundle Pack
Plugin URI: http://www.automatedmarketing.co.uk
Description: Sell products through your Infusionsoft account as Bundles offering the option of coupon discounts.
Version: 1.0.0
Author: Automated Marketing
Author URI: http://www.automatedmarketing.co.uk
License: GPL2 non-commercial
*/

if (!class_exists('iSDK')) 
    require_once('src/isdk.php');
if (!class_exists('iSDK_plugin')) 
    require_once('src/Isdk_plugin_extended.php');

require_once('wp-iscbp-install.php');
require_once('wp-iscbp-settings.php');
require_once('wp-iscbp-export.php');
require_once('wp-iscbp-shortcode.php');

register_activation_hook(__FILE__,'coupons_install');
register_activation_hook(__FILE__,'bundle_products_install');
register_activation_hook(__FILE__,'bundles_install');
register_activation_hook(__FILE__,'assign_product_bundles_install');

//$wpiscbp_url = site_url() ."/wp-content/plugins/wp-issbp/";
add_shortcode( 'wpiscbp_bundles', 'wpiscbp_bundle_display_func' );
add_action( 'wp_enqueue_scripts', 'bundle_stylesheet' );

$infusionsoft = new iSDK_plugin;
$apiname = get_option('API_Name');
	$_SESSION['API_Name'] = get_option('API_Name');
$apikey = get_option('API_Key');
	$_SESSION['API_Key'] = get_option('API_Key');
$wpiscbp_url = site_url() ."/wp-content/plugins/wp-iscbp/";
	$_SESSION['wpiscbp_url'] = $wpiscbp_url;
$Merchant_ID = get_option('Merchant_ID');
	$_SESSION['Merchant_ID'] = get_option('Merchant_ID');
$Currency = get_option('Currency');
	$_SESSION['Currency'] = get_option('Currency');
$Custom_Flds = get_option('Custom_Flds');
	$_SESSION['Custom_Flds'] = get_option('Custom_Flds');


if($infusionsoft->cfgCon('i', $apiname, $apikey)){}

if(isset($_POST['submit_export']))
{
	export_used();
}

?>