<?php

function wpiscbp_bundle_display_func( $atts )
{
	global $wpdb, $infusionsoft, $apiname, $apikey, $wpiscbp_url, $Merchant_ID, $Currency, $Custom_Flds;
	
	require_once('js/wpiscbp-validate.js');
	
$countries = array(
"United Kingdom",
"United States",
"United Arab Emirates",
"Argentina",
"Austria",
"Belgium",
"Brazil",
"China",
"Chile",
"Colombia",
"Finland",
"France",
"Germany",
"Greece",
"Hong Kong",
"India",
"Ireland",
"Israel",
"Italy",
"Japan",
"Malaysia",
"Mexico",
"Netherlands",
"New Zealand",
"Norway",
"Peru",
"Poland",
"Portugal",
"Puerto Rico",
"Romania",
"Russia",
"Singapore",
"South Africa",
"South Korea",
"Spain",
"Sweden",
"Taiwan",
"Turkey");

foreach($countries as $country)
{
	$select .= "<option value='".$country."'>".$country."</option>";
}

	//pre-installed table names
	$table_name_bundles = $wpdb->prefix . "wpiscbp_bundles";
	$table_name_products = $wpdb->prefix . "wpiscbp_bundle_products";
	$table_name_product_assign = $wpdb->prefix . "wpiscbp_assign_product_bundles";
	$table_name_coupons = $wpdb->prefix . "wpiscbp_coupons";

	if($_GET["bun"] != 1)
	{
		$sql = "SELECT * FROM ".$table_name_bundles;
		$bundle_list = $wpdb->get_results($sql);
	
		$display = "<div class='new-wrapper'>";
	
		foreach($bundle_list as $bundle)
		{
			//bundle id required to construct bundle url's
			$bundle_id = $bundle->id;
			//required for bundle list display
			$bundle_name = $bundle->bundle_name;
			$bundle_value = $bundle->bundle_value;
			$bundle_description = $bundle->bundle_description;
			
			//$bundle_shipping = $bundle->bundle_shipping;
		
			//bundle image name required for dynamic file path format
			$bundle_image_name = $bundle->bundle_image;
		
			//getting the wordpress file path format, WP-CONTENT / UPLOADS / YEAR / MONTH
			$bundle_image_date = $bundle->bundle_date;
			$date_vals = explode("-", $bundle_image_date);
			$upload_year = $date_vals[0];
			$upload_month = $date_vals[1];
			//final dynamic image url constructed
			$bundle_image = "<img src='".get_option('siteurl')."/wp-content/uploads/".$upload_year."/".$upload_month."/".$bundle_image_name."' width='150px'>";
			//adding GET parameters to URL
			$bundle_url = add_query_arg(array('bid' => $bundle_id, 'bun' => 1));
		
			$display .= "
						<div class='breakaway'>
							".$bundle_image."
							<p>
								<strong><a href='http://".$_SERVER['HTTP_HOST'].$bundle_url."'>".$bundle_name."</a></strong><br />
								".$bundle_description."
							</p>
						</div>
						";
		}
		$display .= "</div>";
		echo $display;
	}
	else
	{
		$bundle_id = $_GET["bid"];
		$sql = "SELECT * FROM ".$table_name_bundles." WHERE id=".$bundle_id;
		$bundle_details = $wpdb->get_row($sql);
		
		//Basic bundle information
		$bundle_id = $bundle_details->id;
		$bundle_name = $bundle_details->bundle_name;
		$bundle_description = $bundle_details->bundle_description;
		$bundle_value = $bundle_details->bundle_value;
		$bundle_shipping = $bundle_details->bundle_shipping;
		
		//bundle image name required for dynamic file path format
		$bundle_image_name = $bundle_details->bundle_image;
		
		//getting the wordpress file path format, WP-CONTENT / UPLOADS / YEAR / MONTH
		$bundle_image_date = $bundle_details->bundle_date;
		$date_vals = explode("-", $bundle_image_date);
		$upload_year = $date_vals[0];
		$upload_month = $date_vals[1];
		//final dynamic image url constructed
		$bundle_image = "<img src='".get_option('siteurl')."/wp-content/uploads/".$upload_year."/".$upload_month."/".$bundle_image_name."'>";
		
		if(isset($_POST['use_coupon']) || isset($_POST['p_details']))
		{
			$coupon = mysql_real_escape_string($_POST["bundle_coupon_code"]);
		
			$coupon_check_sql = "SELECT * FROM ".$table_name_coupons." WHERE coupon_code='".mysql_real_escape_string($coupon)."' AND bundle_id=".$bundle_id;
			$valid_coupon = $wpdb->get_row($coupon_check_sql);

			$result = count($valid_coupon);
			
				if($result>0 || isset($_POST['p_details']))
				{
					if(isset($_POST['p_details']))
					{
						if(empty($_POST['fname']) || empty($_POST['lname']) || empty($_POST['email']) || empty($_POST['city']) || empty($_POST['address1']) || empty($_POST['region']) || empty($_POST['postcode']))
						{
							$display .="
										Please fill out <strong>ALL</strong> required fields to proceed!
										<script type='text/javascript'>
											alert('Please fill out ALL required fields to proceed!');
											history.back();
										</script>
										";
						}
						else
						{
							$coupon = $_POST['coup'];
							$bundle_id = $_POST['bun2'];

							//$coupon_check_sql = "SELECT * FROM ".$table_name_coupons." WHERE coupon_code='".$coupon."' AND coupon_used=1";
							$valid_coupon = $wpdb->get_row($coupon_check_sql);
					   
							$result = count($valid_coupon);
							
							if($result>0)
							{
								$display .="<strong>This coupon has already been redeemed!</strong>
											<script type='text/javascript'>
												alert('This coupon has already been redeemed!');
												site_url();
											</script>";
							}
							else
							{
								$contact['FirstName'] 		=	mysql_real_escape_string($_POST['fname']);
								$contact['LastName']		= 	mysql_real_escape_string($_POST['lname']);
								$contact['Email']			= 	stripslashes($_POST['email']);
								//billing address
								$contact['Country']			=	mysql_real_escape_string($_POST['location']);
								$contact['City']			=	mysql_real_escape_string($_POST['city']);
								$contact['StreetAddress1']	=	mysql_real_escape_string($_POST['address1']);
								$contact['StreetAddress2']	=	mysql_real_escape_string($_POST['address2']);
								$contact['State']			=	mysql_real_escape_string($_POST['region']);
								$contact['PostalCode']		=	mysql_real_escape_string($_POST['postcode']);
								//shipping address
								if(!empty($_POST['address1_2']))
								{
									$contact['Country2']		=	mysql_real_escape_string($_POST['location2']);
									$contact['City2']			=	mysql_real_escape_string($_POST['city2']);
									$contact['Address2Street1']	=	mysql_real_escape_string($_POST['address1_2']);
									$contact['Address2Street2']	=	mysql_real_escape_string($_POST['address2_2']);
									$contact['State2']			=	mysql_real_escape_string($_POST['region2']);
									$contact['PostalCode2']		=	mysql_real_escape_string($_POST['postcode2']);
								}
						
								//Shipping array for order
								if(!empty($_POST['address1_2']))//!empty($contact['Address2Street1']) && !empty($contact['PostalCode2'])
								{
									$shipping['ShipFirstName']	=	$contact['FirstName'];
									$shipping['ShipLastName']	=	$contact['LastName'];
									$shipping['ShipCountry']	=	$contact['Country2'];
									$shipping['ShipCity']		=	$contact['City2'];
									$shipping['ShipStreet1']	=	$contact['Address2Street1'];
									$shipping['ShipStreet2']	=	$contact['Address2Street2'];
									$shipping['ShipState']		=	$contact['State2'];
									$shipping['ShipZip']		=	$contact['PostalCode2'];
								}
								else
								{
									$shipping['ShipFirstName']	=	$contact['FirstName'];
									$shipping['ShipLastName']	=	$contact['LastName'];
									$shipping['ShipCountry']	=	$contact['Country'];
									$shipping['ShipCity']		=	$contact['City'];
									$shipping['ShipStreet1']	=	$contact['StreetAddress1'];
									$shipping['ShipStreet2']	=	$contact['StreetAddress2'];
									$shipping['ShipState']		=	$contact['State'];
									$shipping['ShipZip']		=	$contact['PostalCode'];
								}
						
								//getting card details	
								$card['CardType']			=	mysql_real_escape_string($_POST['ctype']);
								$card['CardNumber']			=	mysql_real_escape_string($_POST['cnumber']);
								$card['ExpirationMonth']	=	mysql_real_escape_string($_POST['cexpiry_m']);
								$card['ExpirationYear']		=	mysql_real_escape_string($_POST['cexpiry_y']);
								$card['CVV2']				=	mysql_real_escape_string($_POST['csc']);
								//$card['ContactId']		=	(int)$data[0]['Id'];
								$card['NameOnCard']		= 	trim($contact['FirstName']." ".$contact['LastName']);   
								$card['FirstName']		= 	$contact['FirstName'];
								$card['LastName']		= 	$contact['LastName'];
								$card['BillAddress1']	=	$contact['StreetAddress1'];
								$card['BillAddress2']	=	$contact['StreetAddress2'];
								$card['BillCity']		=	$contact['City'];
								$card['BillState']		=	$contact['State'];
								$card['BillCountry']	=	$contact['Country'];
								$card['BillZip']		=	$contact['PostalCode'];
						
								$returnFields = array('Id');
								$data = $infusionsoft->findByEmail($contact['Email'], $returnFields);
								$result2 = count($data);
						
								if($bundle_shipping>0)
								{
									$check_card_exists = array
									(
										'ContactId' 		=> (int)$data[0]['Id'],
										'Last4'           	=> substr($card['CardNumber'],-4),
										'ExpirationMonth' 	=> $card['ExpirationMonth'],
										'ExpirationYear'  	=> $card['ExpirationYear'],
										'Status'          	=> 3
									);
						
									$card_return_fields = array('Id');
									$card_result = $infusionsoft->dsQuery("CreditCard", 1, 0, $check_card_exists, $card_return_fields);  
									$card_exists_already = count($card_result);
								}
						
								if($result2>0) //user email exists inside of infusionsoft
								{
									$card['ContactId']	=	(int)$data[0]['Id'];

									$contactId = $infusionsoft->updateCon((int)$data[0]['Id'], $contact);
								}
								else
								{
									$card['ContactId']	=	$infusionsoft->addCon($contact);
								}
						
								if($bundle_shipping>0)
								{
									if($card_exists_already>0)
									{
										//get card infusionsoft id
										$card_id = $card_result[0]['Id'];
									}
									else
									{
										//Add card details to contact
										$card_id = $infusionsoft->dsAdd("CreditCard", $card);
									}
								}
							
								$cardResult = $infusionsoft->validateCard($card_id);
							
								if($cardResult['Valid'] == 'true' || $bundle_shipping == 0)
								{
									$bundle_items_sql = "SELECT * FROM ".$table_name_product_assign." WHERE bundle_id=".$bundle_id;
									$bundle_products = $wpdb->get_results($bundle_items_sql);
							
									foreach($bundle_products as $bun_prod)
									{
										$bundle_product_id = $bun_prod->product_id;
								
										$bundle_product_sql = "SELECT * FROM ".$table_name_products." WHERE id=".$bundle_product_id;
										$bundle_product = $wpdb->get_row($bundle_product_sql);
								
										$infused_id = $bundle_product->is_id;
										$infused_product_name = $bundle_product->product_name;
								
										$selected_products[] = array(
																		'item_id' => $infused_id,
																		'item_name' => $infused_product_name
																	);
									}
							
									//Create a order
									$invoice_id = $infusionsoft->blankOrder
									(	
										(int)$card['ContactId'], 
										"Coupon Redeemed ".$coupon, 
										date('Ymd\TH:i:s'),
										0,0
									);
							
									foreach($selected_products as $selected)
									{	
										// Add the Order Item.
										$infusionsoft->addOrderItem
										(
											(int)$invoice_id, 
											(int)$selected['item_id'], 
											4, 
											0.00, //add bundle cost + shipping here
											1, 
											$selected['item_name'], 
											$selected['item_name']
										);
									}
									
									//adds shipping charge
									$infusionsoft->addOrderItem
									(
										(int)$invoice_id,
										0,
										1,
										(double)$bundle_shipping,
										1,
										'Shipping Charge',
										'Shipping Charge'
									);
									$jobid = $infusionsoft->dsQuery("Invoice",1,0,array("Id" => (int)$invoice_id),array("JobId"));
                                                                        $orderID = (int)$jobid[0]["JobId"];
                                                                        if($orderID > 0){
                                                                            wpiscbp_populateCustomField($orderID);
                                                                        }
									$order = $infusionsoft->dsUpdate("Job", (int)$jobid[0]["JobId"], $shipping);
								
									if($bundle_shipping == 0)
									{
										// Add that we have paid for this order, if no shipping fee's.
										$infusionsoft->manualPmt
										(
											(int)$invoice_id,
											0.00,
											date('Ymd\TH:i:s'),
											'Free Delivery',
											'Payment for Order',
											false
										);
									}
									else
									{
										//charge supplied credit card
										$payment = $infusionsoft->chargeInvoice
										(
											(int)$invoice_id,
											'', 
											(int)$card_id, 
											(int)$Merchant_ID,
											false
										);
									}
							
									if($payment['Code'] == 'APPROVED' || $bundle_shipping == 0)
									{
										$display .="<meta http-equiv='refresh' content='0; url=".site_url()."' />
										<strong>Transaction Complete!</strong>";
								
										$coupon_sql = "UPDATE ".$table_name_coupons." SET coupon_used= 1,user_fname='".$contact['FirstName']."',user_lname='".$contact['LastName']."',user_email='".$contact['Email']."'  WHERE coupon_code='".$coupon."' AND bundle_id=".$bundle_id;

										$wpdb->query($coupon_sql);
									}
									else
									{
										$display .="<strong>There has been a problem with this transaction, please contact us for more information.</strong>";
									}
							
								}
								else
								{
									$display .="<strong>Credit Card is Invalid!</strong>
												<script type='text/javascript'>
													alert('Credit Card is Invalid!');
													history.back();
												</script>
												";
								}
							}
						}
					}
					else
					{
						$expiry_date = $valid_coupon->expiry_date;
						//$expired = $valid_coupon->coupon_used;
						
						$todays_date = date("Y-m-d");
						$today = strtotime($todays_date);
						$expiration_date = strtotime($expiry_date);
						
						if ($expiration_date > $today)
						{
							$valid = "currently";
							$exp = "expires";
							$valid_dec = "Valid";
						}
						else
						{
							$valid = "not";
							$exp = "expired";
							$valid_dec = "Invalid";
							
							$coupon_sql = "UPDATE ".$table_name_coupons." SET coupon_used= 1,user_fname='EXPIRED',user_lname='EXPIRED',user_email='EXPIRED' WHERE coupon_code='".$coupon."' AND bundle_id=".$bundle_id;
							$wpdb->query($coupon_sql);
						}
						
						$coupon_used = $valid_coupon->coupon_used;
						
						if($coupon_used == 1)
						{
							$valid_dec = "Invalid";

							$display .="
									<strong>Coupon ".$valid_dec."!</strong> -
									<p>
										This coupon has already been redeemed!
									</p>
									<script type='text/javascript'>
										alert('This coupon has already been redeemed!');
										history.back();
									</script>
									   ";
						}
						else
						{
							$display .="
									<strong>Coupon ".$valid_dec."!</strong> -
									<p>
										Todays date is ".$todays_date." and this coupon ".$exp." on ".$expiry_date." therefore this coupon is <strong>".$valid."</strong> valid!
									</p>
									";
						}
						
						if($valid_dec == "Valid")
						{
							if($bundle_shipping == 0)
							{
									$display .="
											<p>
												<strong>Shipping for this product is <font color='red'>FREE</font>!</strong>
											</p>
											  ";
							}
							else
							{
									$display .="
											<p>
												<strong>There is a shipping charge of: <font color='red'>".$Currency.number_format((float)$bundle_shipping, 2, '.', '')."</font> for this product!</strong>
											</p>
											  ";
							}
						
                                                        //get Mothers Due Date Custom Field HTML
                                                        
                                                        //$customFldNamesArray = array("MothersDueDate","ClothingSize");
                                                        $customFieldHTML = wpiscbp_getCustomField_html();
							$display .="
									<div class='wpiscbp_forms'>
									<form action='' method='post' class='blankform' enctype='multipart/form-data'>
										<fieldset>
											<legend><h2>Enter your personal details</h2></legend>
										<p>
											<label for='fname'>First Name*: </label>
											<input type='text' size='35' name='fname' class='required' />
										</p>
										<p>
											<label for='lname'>Last Name*: </label>
											<input type='text' size='35' name='lname' class='required' />
										</p>
										<p>
											<label for='email'>User Email*: </label>
											<input type='text' size='35' name='email' id='email' class='required' />
										</p>
                                                                                ".$customFieldHTML."
                                                                                ".$productOptionHTML."
										<input type='hidden' name='coup' value='".$coupon."'>
										<input type='hidden' name='bun2' value='".$bundle_id."'>
										";
							
							if($bundle_shipping == 0)
							{
									$display .="
											<p>
												<label for='location'>Location*: </label>
												<select name='location'>
													".$select."
												</select> 
											</p>
											<p>
												<label for='city'>City*: </label>
												<input type='text' size='15' name='city' class='required' /><br />
											</p>
											<p>
												<label for='address1'>Address Line 1*: </label>
												<input type='text' size='35' name='address1' class='required' />
												<br />
												<label for='address2'>Address Line 2: </label>
												<input type='text' size='35' name='address2' />
											</p>
											<p>
												<label for='region'>Region*: </label>
												<input type='text' size='15' name='region' class='required' />
											</p>
											<p>
												<label for='postcode'>Postcode*: </label>
												<input type='text' size='2' name='postcode' class='required' />
											</p>
											<p>
												<strong>
													If you wish for your product to be sent to an address DIFFERENT from your billing address, please fill out the details
													below, otherwise leave them blank.
												</strong>			
											</p>
											<p>
												<label for='location2'>Shipping Location: </label>
												<select name='location2'>
													".$select."
												</select> 
											</p>
											<p>
												<label for='city2'>Shipping City: </label>
												<input type='text' size='15' name='city2' /><br />
											</p>
											<p>
												<label for='address1_2'>Shipping Address Line 1: </label>
												<input type='text' size='35' name='address1_2' />
												<br />
												<label for='address2_2'>Shipping Address Line 2: </label>
												<input type='text' size='35' name='address2_2' />
											</p>
											<p>
												<label for='region2'>Region: </label>
												<input type='text' size='15' name='region2' /><br />
											</p>
											<p>
												<label for='postcode2'>Shipping Postcode: </label>
												<input type='text' size='2' name='postcode2' /><br />
											</p>
											<p>
												<input class='button-secondary' type='submit' name='p_details' value='Submit' />
											</p>
										</form>
										* Required
										</div>
											  ";
							}
							else
							{
									$display .="
											<p>
												<label for='ctype'>Card Type*: </label>
												<select name='ctype'>
													<option value='Visa'>Visa</option>
													<option value='Mastercard'>Mastercard</option>
													<option value='Discover'>Discover</option>
												</select> 
											</p>
											<p>
												<label for='cnumber'>Card Number*: </label>
												<input type='text' size='35' name='cnumber' class='required' />
											</p>
											<p>
												<label for='cexpiry_m'>Expirty Date*: </label>
												<select name='cexpiry_m'>
													<option value='01'>01</option>
													<option value='02'>02</option>
													<option value='03'>03</option>
													<option value='04'>04</option>
													<option value='05'>05</option>
													<option value='06'>06</option>
													<option value='07'>07</option>
													<option value='08'>08</option>
													<option value='09'>09</option>
													<option value='10'>10</option>
													<option value='11'>11</option>
													<option value='12'>12</option>
												</select>
												<!--<input type='text' size='1' name='cexpiry_m' value='mm'/>--> /
												<select name='cexpiry_y'>
													<option value='2012'>2012</option>
													<option value='2013'>2013</option>
													<option value='2014'>2014</option>
													<option value='2015'>2015</option>
													<option value='2016'>2016</option>
													<option value='2017'>2017</option>
													<option value='2018'>2018</option>
													<option value='2019'>2019</option>
													<option value='2020'>2020</option>
													<option value='2021'>2021</option>
													<option value='2022'>2022</option>
													<option value='2023'>2023</option>
													<option value='2024'>2024</option>
													<option value='2025'>2025</option>
												</select>
												<!--<input type='text' size='2' name='cexpiry_y' value='yyyy'/>-->
												<label for='csc'>CSC:</label>
												<input type='text' size='1' name='csc' class='required' />
											</p>
											<p>
												<label for='location'>Location*: </label>
												<select name='location'>
													".$select."
												</select> 
											</p>
											<p>
												<label for='city'>City*: </label>
												<input type='text' size='15' name='city' class='required' />
											</p>
											<p>
												<label for='address1'>Address Line 1*: </label>
												<input type='text' size='35' name='address1' class='required' />
												<br />
												<label for='address2'>Address Line 2: </label>
												<input type='text' size='35' name='address2' />
											</p>
											<p>
												<label for='region'>Region*: </label>
												<input type='text' size='15' name='region' class='required' /><br />
											</p>
											<p>
												<label for='postcode'>Postcode*: </label>
												<input type='text' size='5' name='postcode' class='required' /><br />
											</p>
											<p>
												<strong>
													If you wish for your product to be sent to an address DIFFERENT from your billing address, please fill out the details
													below, otherwise leave them blank.
												</strong>			
											</p>
											<p>
												<label for='location2'>Shipping Location: </label>
												<select name='location2'>
													".$select."
												</select> 
											</p>
											<p>
												<label for='city2'>Shipping City: </label>
												<input type='text' size='15' name='city2' /><br />
											</p>
											<p>
												<label for='address1_2'>Shipping Address Line 1: </label>
												<input type='text' size='35' name='address1_2' />
												<br />
												<label for='address2_2'>Shipping Address Line 2: </label>
												<input type='text' size='35' name='address2_2' />
											</p>
											<p>
												<label for='region2'>Region: </label>
												<input type='text' size='15' name='region2' /><br />
											</p>
											<p>
												<label for='postcode2'>Shipping Postcode: </label>
												<input type='text' size='2' name='postcode2' /><br />
											</p>
											<p>
												<input class='button-secondary' type='submit' name='p_details' value='Submit' />
											</p>
										</form>
										* Required
										</div>
											  ";
							}
							
						}
					}
				}
				else
				{
					$display .="
								Invalid Code!
								<script type='text/javascript'>
									alert('Invalid Code! Please try again.');
									history.back();
								</script>
							   ";
				}
		}
		else
		{	
                  
			$display .= "
						<div class='right_col'>
								".$bundle_image."
						</div>
						<div class='left_col'>
								<h1>".$bundle_name."</h1>
								<p>
									".$bundle_description."
								</p>
					
						";
                        $actionForm = get_permalink();
					
			$display .="

							<form action='' method='post'  class='couponform' enctype='multipart/form-data'>
								<fieldset>
									<legend><h2>Enter Coupon Code</h2></legend>
								<p>
									<label for='bundle_coupon_code'>Coupon:</label>
									<input type='text' size='35' name='bundle_coupon_code' class='coupon_required' />
									<input type='hidden' name='home' class='presshome' value='".home_url()."'>
									<input type='hidden' name='ajbid' class='ajbid' value='".$bundle_id."'>
								</p>
								<p>
									<input class='button-secondary' type='submit' name='use_coupon' value='Submit' />
								</p>
							<form>
						</div>
					";
		}
					
		echo $display;
	}
}

function wpiscbp_getCustomField_html(){
    global $infusionsoft, $Custom_Flds;
    $customFldNamesArray = explode(",",strlen($Custom_Flds) > 0 ? $Custom_Flds : "MothersDueDate,ClothingSize");
    $customFieldHTML = "";
    foreach($customFldNamesArray as $customFldName){
        $qry = array('Name' => $customFldName, "FormId" => -9);
        $rets = array('Id','DataType','FormId','GroupId','Name','Label', 'DefaultValue', 'Values', 'ListRows');
        $customFormFields = $infusionsoft->dsQuery("DataFormField", 1, 0, $qry, $rets);                                                        
         if(is_array($customFormFields) && count($customFormFields) == 1)      {
             if($customFormFields[0]['DataType'] == 13)
                $customFieldHTML .= "<p>
                                       <label for='fname'>".$customFormFields[0]['Label'].": </label>
                                       <input type='date' size='35' name='Order0_".$customFormFields[0]['Name']."_Date'/>
                                   </p>";
             if($customFormFields[0]['DataType'] == 21){//DropDown
                $optionValues = $customFormFields[0]['Values'];
                $customFieldHTML .= "<p>
                                            <label for='fname'>".$customFormFields[0]['Label'].": </label>
                                            <select id=product_options_select name='Order0_".$customFormFields[0]['Name']."_Select'>
                                       ";
                $optionValues = explode("\n", $optionValues);
                foreach($optionValues as $optionValue){
                    if(strlen($optionValue) > 0)
                        $customFieldHTML .= "<option value='".$optionValue."'>".$optionValue."</option>";
                }
                $customFieldHTML .= "    </select>
                                        </p>";             
             }
         }        
    }

     return $customFieldHTML;
}

function wpiscbp_getProductOptions_html($bundle_id){
error_log("wpiscbp_getProductOptions_html bundle_id=".$bundle_id);    
    global $infusionsoft, $wpdb;
    //pre-installed table names
    $table_name_products = $wpdb->prefix . "wpiscbp_bundle_products";
    $table_name_product_assign = $wpdb->prefix . "wpiscbp_assign_product_bundles";
        
    $bundle_items_sql = "SELECT * FROM ".$table_name_product_assign." WHERE bundle_id=".$bundle_id;
    $bundle_products = $wpdb->get_results($bundle_items_sql);

error_log("wpiscbp_getProductOptions_html bundle_products=".print_r($bundle_products, true));        
    $Is_productIds_array = array();
    foreach($bundle_products as $bun_prod)
    {
        $bundle_product_id = $bun_prod->product_id;

        $bundle_product_sql = "SELECT * FROM ".$table_name_products." WHERE id=".$bundle_product_id;
        $bundle_product = $wpdb->get_row($bundle_product_sql);

        $infused_id = $bundle_product->is_id;
        $Is_productIds_array[] = $infused_id;
    }
    
    
    $productOptionArray = array();
    $productOptionName = "Product Option";
    foreach($Is_productIds_array as $Is_productId){
        $qry = array('ProductId' => $Is_productId);
        $rets = array('Id', 'ProductId','Name','Label', 'TextMessage','OptionType');
        $productOptions = $infusionsoft->dsQuery("ProductOption", 1, 0, $qry, $rets); 
        if(is_array($productOptions) && count($productOptions) > 0){
            $productOptionName = $productOptions[0]['Label'];
            $ProductOptionId = $productOptions[0]['Id'];
            if($ProductOptionId){
                $qry = array('ProductOptionId' => $ProductOptionId);
                $rets = array('Id','ProductOptionId','Label', 'Sku','Name', 'IsDefault','OptionIndex','PriceAdjustment');
                $productOptionValues = $infusionsoft->dsQuery("ProductOptValue", 1000, 0, $qry, $rets);    
                foreach($productOptionValues as $productOptionValue){
                    $productOptionValueName = strlen($productOptionValue['Label']) > 0 ? $productOptionValue['Label'] : $productOptionValue['Name'];
                    $productOptionArray[] = $productOptionValueName;
                }
            }
        }
    } 
    
    $productOptionsHtml ="";
    if(is_array($productOptionArray) && count($productOptionArray) > 0){
        $productOptionsHtml = "<p>
                                    <label for='fname'>".$productOptionName.": </label>
                                    <select id=product_options_select name=product_options_select>
                               ";
        foreach($productOptionArray as $productOption){
            $productOptionsHtml .= "<option value='".$productOption."'>".$productOption."</option>";
        }
        $productOptionsHtml .= "    </select>
                                </p>";
    };
    return $productOptionsHtml;
}

function wpiscbp_populateCustomField($orderID){
    global $infusionsoft;
    if($orderID <= 0)
        return;
    //Populate the Custom Fields
//error_log("##POST=".print_r($_POST, true));    
    foreach ($_POST as $param_name => $param_val) {
        if(wpiscbp_startsWith($param_name, "Order0_")){
            $param_name_arr = explode("_", $param_name);
            $customFieldName = "_".$param_name_arr[1];
            $customFieldValue = $param_val;
            $dataType = $param_name_arr[2];
//error_log("##POST customFieldName =".$customFieldName."     customFieldValue=".$customFieldValue."      dataType=".$dataType);            
            if(strcasecmp($dataType, "Date") == 0){
                $customFieldValue = $infusionsoft->infuDate($customFieldValue);
            }
            $updateData = array($customFieldName => $customFieldValue);
//error_log("##POST updateData=".print_r($updateData, true));                 
            $OrderUpdate = $infusionsoft->dsUpdate("Job", $orderID, $updateData);
//error_log("##POST OrderUpdate=".print_r($OrderUpdate, true));            
        }
    }    
}

function wpiscbp_startsWith($haystack, $needle) {
    // search backwards starting from haystack length characters from the end
    return $needle === "" || strrpos($haystack, $needle, -strlen($haystack)) !== FALSE;
}

?>